package com.clx.performance.service;

import com.clx.open.sdk.callback.message.OrderInfoMessage;
import com.clx.order.param.mq.SyncPendingFreightInternalReportParam;
import org.springframework.transaction.annotation.Transactional;

/**
 * @author kavin
 * Date 2024-10-17
 * Time 19:37
 */
public interface PendingFreightService {
    void dealPendingFreight4OrderInfo(OrderInfoMessage data);

    //处理挂单运费内部上报数据
    @Transactional(rollbackFor = Exception.class)
    void dealPendingFreight4InternalReport(SyncPendingFreightInternalReportParam param);
}
